org.eclipse.emf.compare.impl

## Class ComparePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.emf.compare.impl.ComparePackageImpl

All Implemented Interfaces:
  Notifier, ComparePackage, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class ComparePackageImpl
    extends EPackageImpl
    implements ComparePackage

An implementation of the model Package.

Generated:

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.ComparePackage

`ComparePackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

Fields
`static String` `copyright`

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.compare.ComparePackage

`ATTRIBUTE_CHANGE, ATTRIBUTE_CHANGE__ATTRIBUTE, ATTRIBUTE_CHANGE__CONFLICT, ATTRIBUTE_CHANGE__EQUIVALENCE, ATTRIBUTE_CHANGE__IMPLIED_BY, ATTRIBUTE_CHANGE__IMPLIES, ATTRIBUTE_CHANGE__KIND, ATTRIBUTE_CHANGE__MATCH, ATTRIBUTE_CHANGE__PRIME_REFINING, ATTRIBUTE_CHANGE__REFINED_BY, ATTRIBUTE_CHANGE__REFINES, ATTRIBUTE_CHANGE__REQUIRED_BY, ATTRIBUTE_CHANGE__REQUIRES, ATTRIBUTE_CHANGE__SOURCE, ATTRIBUTE_CHANGE__STATE, ATTRIBUTE_CHANGE__VALUE, ATTRIBUTE_CHANGE_FEATURE_COUNT, COMPARISON, COMPARISON__CONFLICTS, COMPARISON__DIAGNOSTIC, COMPARISON__EQUIVALENCES, COMPARISON__MATCHED_RESOURCES, COMPARISON__MATCHES, COMPARISON__THREE_WAY, COMPARISON_FEATURE_COUNT, CONFLICT, CONFLICT__DIFFERENCES, CONFLICT__KIND, CONFLICT_FEATURE_COUNT, CONFLICT_KIND, DIAGNOSTIC, DIFF, DIFF__CONFLICT, DIFF__EQUIVALENCE, DIFF__IMPLIED_BY, DIFF__IMPLIES, DIFF__KIND, DIFF__MATCH, DIFF__PRIME_REFINING, DIFF__REFINED_BY, DIFF__REFINES, DIFF__REQUIRED_BY, DIFF__REQUIRES, DIFF__SOURCE, DIFF__STATE, DIFF_FEATURE_COUNT, DIFFERENCE_KIND, DIFFERENCE_SOURCE, DIFFERENCE_STATE, eINSTANCE, EITERABLE, eNAME, eNS_PREFIX, eNS_URI, EQUIVALENCE, EQUIVALENCE__DIFFERENCES, EQUIVALENCE_FEATURE_COUNT, FEATURE_MAP_CHANGE, FEATURE_MAP_CHANGE__ATTRIBUTE, FEATURE_MAP_CHANGE__CONFLICT, FEATURE_MAP_CHANGE__EQUIVALENCE, FEATURE_MAP_CHANGE__IMPLIED_BY, FEATURE_MAP_CHANGE__IMPLIES, FEATURE_MAP_CHANGE__KIND, FEATURE_MAP_CHANGE__MATCH, FEATURE_MAP_CHANGE__PRIME_REFINING, FEATURE_MAP_CHANGE__REFINED_BY, FEATURE_MAP_CHANGE__REFINES, FEATURE_MAP_CHANGE__REQUIRED_BY, FEATURE_MAP_CHANGE__REQUIRES, FEATURE_MAP_CHANGE__SOURCE, FEATURE_MAP_CHANGE__STATE, FEATURE_MAP_CHANGE__VALUE, FEATURE_MAP_CHANGE_FEATURE_COUNT, IEQUALITY_HELPER, MATCH, MATCH__DIFFERENCES, MATCH__LEFT, MATCH__ORIGIN, MATCH__RIGHT, MATCH__SUBMATCHES, MATCH_FEATURE_COUNT, MATCH_RESOURCE, MATCH_RESOURCE__COMPARISON, MATCH_RESOURCE__LEFT, MATCH_RESOURCE__LEFT_URI, MATCH_RESOURCE__LOCATION_CHANGES, MATCH_RESOURCE__ORIGIN, MATCH_RESOURCE__ORIGIN_URI, MATCH_RESOURCE__RIGHT, MATCH_RESOURCE__RIGHT_URI, MATCH_RESOURCE_FEATURE_COUNT, REFERENCE_CHANGE, REFERENCE_CHANGE__CONFLICT, REFERENCE_CHANGE__EQUIVALENCE, REFERENCE_CHANGE__IMPLIED_BY, REFERENCE_CHANGE__IMPLIES, REFERENCE_CHANGE__KIND, REFERENCE_CHANGE__MATCH, REFERENCE_CHANGE__PRIME_REFINING, REFERENCE_CHANGE__REFERENCE, REFERENCE_CHANGE__REFINED_BY, REFERENCE_CHANGE__REFINES, REFERENCE_CHANGE__REQUIRED_BY, REFERENCE_CHANGE__REQUIRES, REFERENCE_CHANGE__SOURCE, REFERENCE_CHANGE__STATE, REFERENCE_CHANGE__VALUE, REFERENCE_CHANGE_FEATURE_COUNT, RESOURCE_ATTACHMENT_CHANGE, RESOURCE_ATTACHMENT_CHANGE__CONFLICT, RESOURCE_ATTACHMENT_CHANGE__EQUIVALENCE, RESOURCE_ATTACHMENT_CHANGE__IMPLIED_BY, RESOURCE_ATTACHMENT_CHANGE__IMPLIES, RESOURCE_ATTACHMENT_CHANGE__KIND, RESOURCE_ATTACHMENT_CHANGE__MATCH, RESOURCE_ATTACHMENT_CHANGE__PRIME_REFINING, RESOURCE_ATTACHMENT_CHANGE__REFINED_BY, RESOURCE_ATTACHMENT_CHANGE__REFINES, RESOURCE_ATTACHMENT_CHANGE__REQUIRED_BY, RESOURCE_ATTACHMENT_CHANGE__REQUIRES, RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI, RESOURCE_ATTACHMENT_CHANGE__SOURCE, RESOURCE_ATTACHMENT_CHANGE__STATE, RESOURCE_ATTACHMENT_CHANGE_FEATURE_COUNT, RESOURCE_LOCATION_CHANGE, RESOURCE_LOCATION_CHANGE__BASE_LOCATION, RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION, RESOURCE_LOCATION_CHANGE__CONFLICT, RESOURCE_LOCATION_CHANGE__EQUIVALENCE, RESOURCE_LOCATION_CHANGE__IMPLIED_BY, RESOURCE_LOCATION_CHANGE__IMPLIES, RESOURCE_LOCATION_CHANGE__KIND, RESOURCE_LOCATION_CHANGE__MATCH, RESOURCE_LOCATION_CHANGE__PRIME_REFINING, RESOURCE_LOCATION_CHANGE__REFINED_BY, RESOURCE_LOCATION_CHANGE__REFINES, RESOURCE_LOCATION_CHANGE__REQUIRED_BY, RESOURCE_LOCATION_CHANGE__REQUIRES, RESOURCE_LOCATION_CHANGE__SOURCE, RESOURCE_LOCATION_CHANGE__STATE, RESOURCE_LOCATION_CHANGE_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getAttributeChange_Attribute()`
`EAttribute` `getAttributeChange_Value()`
`EClass` `getAttributeChange()`
`CompareFactory` `getCompareFactory()`
`EReference` `getComparison_Conflicts()`
`EAttribute` `getComparison_Diagnostic()`
`EReference` `getComparison_Equivalences()`
`EReference` `getComparison_MatchedResources()`
`EReference` `getComparison_Matches()`
`EAttribute` `getComparison_ThreeWay()`
`EClass` `getComparison()`
`EReference` `getConflict_Differences()`
`EAttribute` `getConflict_Kind()`
`EClass` `getConflict()`
`EEnum` `getConflictKind()`
`EDataType` `getDiagnostic()`
`EReference` `getDiff_Conflict()`
`EReference` `getDiff_Equivalence()`
`EReference` `getDiff_ImpliedBy()`
`EReference` `getDiff_Implies()`
`EAttribute` `getDiff_Kind()`
`EReference` `getDiff_Match()`
`EReference` `getDiff_PrimeRefining()`
`EReference` `getDiff_RefinedBy()`
`EReference` `getDiff_Refines()`
`EReference` `getDiff_RequiredBy()`
`EReference` `getDiff_Requires()`
`EAttribute` `getDiff_Source()`
`EAttribute` `getDiff_State()`
`EClass` `getDiff()`
`EEnum` `getDifferenceKind()`
`EEnum` `getDifferenceSource()`
`EEnum` `getDifferenceState()`
`EDataType` `getEIterable()`
`EReference` `getEquivalence_Differences()`
`EClass` `getEquivalence()`
`EReference` `getFeatureMapChange_Attribute()`
`EAttribute` `getFeatureMapChange_Value()`
`EClass` `getFeatureMapChange()`
`EDataType` `getIEqualityHelper()`
`EReference` `getMatch_Differences()`
`EReference` `getMatch_Left()`
`EReference` `getMatch_Origin()`
`EReference` `getMatch_Right()`
`EReference` `getMatch_Submatches()`
`EClass` `getMatch()`
`EReference` `getMatchResource_Comparison()`
`EAttribute` `getMatchResource_Left()`
`EAttribute` `getMatchResource_LeftURI()`
`EReference` `getMatchResource_LocationChanges()`
`EAttribute` `getMatchResource_Origin()`
`EAttribute` `getMatchResource_OriginURI()`
`EAttribute` `getMatchResource_Right()`
`EAttribute` `getMatchResource_RightURI()`
`EClass` `getMatchResource()`
`EReference` `getReferenceChange_Reference()`
`EReference` `getReferenceChange_Value()`
`EClass` `getReferenceChange()`
`EAttribute` `getResourceAttachmentChange_ResourceURI()`
`EClass` `getResourceAttachmentChange()`
`EAttribute` `getResourceLocationChange_BaseLocation()`
`EAttribute` `getResourceLocationChange_ChangedLocation()`
`EClass` `getResourceLocationChange()`
`static ComparePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### init

    public static ComparePackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ComparePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `ComparePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
Generated:

#### getComparison

    public EClass getComparison()

Specified by:
  `getComparison` in interface `ComparePackage`
Returns:
  the meta object for class 'Comparison'.
See Also:
  `Comparison`
Generated:

#### getComparison_MatchedResources

    public EReference getComparison_MatchedResources()

Specified by:
  `getComparison_MatchedResources` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Matched Resources'.
See Also:
  `Comparison.getMatchedResources()`, `ComparePackage.getComparison()`
Generated:

#### getComparison_Matches

    public EReference getComparison_Matches()

Specified by:
  `getComparison_Matches` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Matches'.
See Also:
  `Comparison.getMatches()`, `ComparePackage.getComparison()`
Generated:

#### getComparison_Conflicts

    public EReference getComparison_Conflicts()

Specified by:
  `getComparison_Conflicts` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Conflicts'.
See Also:
  `Comparison.getConflicts()`, `ComparePackage.getComparison()`
Generated:

#### getComparison_Equivalences

    public EReference getComparison_Equivalences()

Specified by:
  `getComparison_Equivalences` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Equivalences'.
See Also:
  `Comparison.getEquivalences()`, `ComparePackage.getComparison()`
Generated:

#### getComparison_ThreeWay

    public EAttribute getComparison_ThreeWay()

Specified by:
  `getComparison_ThreeWay` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Three Way'.
See Also:
  `Comparison.isThreeWay()`, `ComparePackage.getComparison()`
Generated:

#### getComparison_Diagnostic

    public EAttribute getComparison_Diagnostic()

Specified by:
  `getComparison_Diagnostic` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Diagnostic'.
See Also:
  `Comparison.getDiagnostic()`, `ComparePackage.getComparison()`
Generated:

#### getMatchResource

    public EClass getMatchResource()

Specified by:
  `getMatchResource` in interface `ComparePackage`
Returns:
  the meta object for class 'Match Resource'.
See Also:
  `MatchResource`
Generated:

#### getMatchResource_LeftURI

    public EAttribute getMatchResource_LeftURI()

Specified by:
  `getMatchResource_LeftURI` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Left URI'.
See Also:
  `MatchResource.getLeftURI()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_RightURI

    public EAttribute getMatchResource_RightURI()

Specified by:
  `getMatchResource_RightURI` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Right URI'.
See Also:
  `MatchResource.getRightURI()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_OriginURI

    public EAttribute getMatchResource_OriginURI()

Specified by:
  `getMatchResource_OriginURI` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Origin URI'.
See Also:
  `MatchResource.getOriginURI()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_Left

    public EAttribute getMatchResource_Left()

Specified by:
  `getMatchResource_Left` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Left'.
See Also:
  `MatchResource.getLeft()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_Right

    public EAttribute getMatchResource_Right()

Specified by:
  `getMatchResource_Right` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Right'.
See Also:
  `MatchResource.getRight()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_Origin

    public EAttribute getMatchResource_Origin()

Specified by:
  `getMatchResource_Origin` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Origin'.
See Also:
  `MatchResource.getOrigin()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_Comparison

    public EReference getMatchResource_Comparison()

Specified by:
  `getMatchResource_Comparison` in interface `ComparePackage`
Returns:
  the meta object for the container reference 'Comparison'.
See Also:
  `MatchResource.getComparison()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatchResource_LocationChanges

    public EReference getMatchResource_LocationChanges()

Specified by:
  `getMatchResource_LocationChanges` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Location Changes'.
Since:
  3.2
See Also:
  `MatchResource.getLocationChanges()`, `ComparePackage.getMatchResource()`
Generated:

#### getMatch

    public EClass getMatch()

Specified by:
  `getMatch` in interface `ComparePackage`
Returns:
  the meta object for class 'Match'.
See Also:
  `Match`
Generated:

#### getMatch_Submatches

    public EReference getMatch_Submatches()

Specified by:
  `getMatch_Submatches` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Submatches'.
See Also:
  `Match.getSubmatches()`, `ComparePackage.getMatch()`
Generated:

#### getMatch_Differences

    public EReference getMatch_Differences()

Specified by:
  `getMatch_Differences` in interface `ComparePackage`
Returns:
  the meta object for the containment reference list 'Differences'.
See Also:
  `Match.getDifferences()`, `ComparePackage.getMatch()`
Generated:

#### getMatch_Left

    public EReference getMatch_Left()

Specified by:
  `getMatch_Left` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Left'.
See Also:
  `Match.getLeft()`, `ComparePackage.getMatch()`
Generated:

#### getMatch_Right

    public EReference getMatch_Right()

Specified by:
  `getMatch_Right` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Right'.
See Also:
  `Match.getRight()`, `ComparePackage.getMatch()`
Generated:

#### getMatch_Origin

    public EReference getMatch_Origin()

Specified by:
  `getMatch_Origin` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Origin'.
See Also:
  `Match.getOrigin()`, `ComparePackage.getMatch()`
Generated:

#### getDiff

    public EClass getDiff()

Specified by:
  `getDiff` in interface `ComparePackage`
Returns:
  the meta object for class 'Diff'.
See Also:
  `Diff`
Generated:

#### getDiff_Match

    public EReference getDiff_Match()

Specified by:
  `getDiff_Match` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Match'.
See Also:
  `Diff.getMatch()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Requires

    public EReference getDiff_Requires()

Specified by:
  `getDiff_Requires` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Requires'.
See Also:
  `Diff.getRequires()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_RequiredBy

    public EReference getDiff_RequiredBy()

Specified by:
  `getDiff_RequiredBy` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Required By'.
See Also:
  `Diff.getRequiredBy()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Implies

    public EReference getDiff_Implies()

Specified by:
  `getDiff_Implies` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Implies'.
See Also:
  `Diff.getImplies()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_ImpliedBy

    public EReference getDiff_ImpliedBy()

Specified by:
  `getDiff_ImpliedBy` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Implied By'.
See Also:
  `Diff.getImpliedBy()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Refines

    public EReference getDiff_Refines()

Specified by:
  `getDiff_Refines` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Refines'.
See Also:
  `Diff.getRefines()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_RefinedBy

    public EReference getDiff_RefinedBy()

Specified by:
  `getDiff_RefinedBy` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Refined By'.
See Also:
  `Diff.getRefinedBy()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_PrimeRefining

    public EReference getDiff_PrimeRefining()

Specified by:
  `getDiff_PrimeRefining` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Prime Refining'.
See Also:
  `Diff.getPrimeRefining()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Kind

    public EAttribute getDiff_Kind()

Specified by:
  `getDiff_Kind` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Kind'.
See Also:
  `Diff.getKind()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Source

    public EAttribute getDiff_Source()

Specified by:
  `getDiff_Source` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Source'.
See Also:
  `Diff.getSource()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_State

    public EAttribute getDiff_State()

Specified by:
  `getDiff_State` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'State'.
See Also:
  `Diff.getState()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Equivalence

    public EReference getDiff_Equivalence()

Specified by:
  `getDiff_Equivalence` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Equivalence'.
See Also:
  `Diff.getEquivalence()`, `ComparePackage.getDiff()`
Generated:

#### getDiff_Conflict

    public EReference getDiff_Conflict()

Specified by:
  `getDiff_Conflict` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Conflict'.
See Also:
  `Diff.getConflict()`, `ComparePackage.getDiff()`
Generated:

#### getResourceAttachmentChange

    public EClass getResourceAttachmentChange()

Specified by:
  `getResourceAttachmentChange` in interface `ComparePackage`
Returns:
  the meta object for class 'Resource Attachment Change'.
See Also:
  `ResourceAttachmentChange`
Generated:

#### getResourceAttachmentChange_ResourceURI

    public EAttribute getResourceAttachmentChange_ResourceURI()

Specified by:
  `getResourceAttachmentChange_ResourceURI` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Resource URI'.
See Also:
  `ResourceAttachmentChange.getResourceURI()`, `ComparePackage.getResourceAttachmentChange()`
Generated:

#### getResourceLocationChange

    public EClass getResourceLocationChange()

Specified by:
  `getResourceLocationChange` in interface `ComparePackage`
Returns:
  the meta object for class 'Resource Location Change'.
Since:
  3.2
See Also:
  `ResourceLocationChange`
Generated:

#### getResourceLocationChange_BaseLocation

    public EAttribute getResourceLocationChange_BaseLocation()

Specified by:
  `getResourceLocationChange_BaseLocation` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Base Location'.
Since:
  3.2
See Also:
  `ResourceLocationChange.getBaseLocation()`, `ComparePackage.getResourceLocationChange()`
Generated:

#### getResourceLocationChange_ChangedLocation

    public EAttribute getResourceLocationChange_ChangedLocation()

Specified by:
  `getResourceLocationChange_ChangedLocation` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Changed Location'.
Since:
  3.2
See Also:
  `ResourceLocationChange.getChangedLocation()`, `ComparePackage.getResourceLocationChange()`
Generated:

#### getReferenceChange

    public EClass getReferenceChange()

Specified by:
  `getReferenceChange` in interface `ComparePackage`
Returns:
  the meta object for class 'Reference Change'.
See Also:
  `ReferenceChange`
Generated:

#### getReferenceChange_Reference

    public EReference getReferenceChange_Reference()

Specified by:
  `getReferenceChange_Reference` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Reference'.
See Also:
  `ReferenceChange.getReference()`, `ComparePackage.getReferenceChange()`
Generated:

#### getReferenceChange_Value

    public EReference getReferenceChange_Value()

Specified by:
  `getReferenceChange_Value` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Value'.
See Also:
  `ReferenceChange.getValue()`, `ComparePackage.getReferenceChange()`
Generated:

#### getAttributeChange

    public EClass getAttributeChange()

Specified by:
  `getAttributeChange` in interface `ComparePackage`
Returns:
  the meta object for class 'Attribute Change'.
See Also:
  `AttributeChange`
Generated:

#### getAttributeChange_Attribute

    public EReference getAttributeChange_Attribute()

Specified by:
  `getAttributeChange_Attribute` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Attribute'.
See Also:
  `AttributeChange.getAttribute()`, `ComparePackage.getAttributeChange()`
Generated:

#### getAttributeChange_Value

    public EAttribute getAttributeChange_Value()

Specified by:
  `getAttributeChange_Value` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  `AttributeChange.getValue()`, `ComparePackage.getAttributeChange()`
Generated:

#### getFeatureMapChange

    public EClass getFeatureMapChange()

Specified by:
  `getFeatureMapChange` in interface `ComparePackage`
Returns:
  the meta object for class 'Feature Map Change'.
Since:
  3.2
See Also:
  `FeatureMapChange`
Generated:

#### getFeatureMapChange_Attribute

    public EReference getFeatureMapChange_Attribute()

Specified by:
  `getFeatureMapChange_Attribute` in interface `ComparePackage`
Returns:
  the meta object for the reference 'Attribute'.
Since:
  3.2
See Also:
  `FeatureMapChange.getAttribute()`, `ComparePackage.getFeatureMapChange()`
Generated:

#### getFeatureMapChange_Value

    public EAttribute getFeatureMapChange_Value()

Specified by:
  `getFeatureMapChange_Value` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Value'.
Since:
  3.2
See Also:
  `FeatureMapChange.getValue()`, `ComparePackage.getFeatureMapChange()`
Generated:

#### getConflict

    public EClass getConflict()

Specified by:
  `getConflict` in interface `ComparePackage`
Returns:
  the meta object for class 'Conflict'.
See Also:
  `Conflict`
Generated:

#### getConflict_Kind

    public EAttribute getConflict_Kind()

Specified by:
  `getConflict_Kind` in interface `ComparePackage`
Returns:
  the meta object for the attribute 'Kind'.
See Also:
  `Conflict.getKind()`, `ComparePackage.getConflict()`
Generated:

#### getConflict_Differences

    public EReference getConflict_Differences()

Specified by:
  `getConflict_Differences` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Differences'.
See Also:
  `Conflict.getDifferences()`, `ComparePackage.getConflict()`
Generated:

#### getEquivalence

    public EClass getEquivalence()

Specified by:
  `getEquivalence` in interface `ComparePackage`
Returns:
  the meta object for class 'Equivalence'.
See Also:
  `Equivalence`
Generated:

#### getEquivalence_Differences

    public EReference getEquivalence_Differences()

Specified by:
  `getEquivalence_Differences` in interface `ComparePackage`
Returns:
  the meta object for the reference list 'Differences'.
See Also:
  `Equivalence.getDifferences()`, `ComparePackage.getEquivalence()`
Generated:

#### getDifferenceKind

    public EEnum getDifferenceKind()

Specified by:
  `getDifferenceKind` in interface `ComparePackage`
Returns:
  the meta object for enum 'Difference Kind'.
See Also:
  `DifferenceKind`
Generated:

#### getDifferenceSource

    public EEnum getDifferenceSource()

Specified by:
  `getDifferenceSource` in interface `ComparePackage`
Returns:
  the meta object for enum 'Difference Source'.
See Also:
  `DifferenceSource`
Generated:

#### getDifferenceState

    public EEnum getDifferenceState()

Specified by:
  `getDifferenceState` in interface `ComparePackage`
Returns:
  the meta object for enum 'Difference State'.
See Also:
  `DifferenceState`
Generated:

#### getConflictKind

    public EEnum getConflictKind()

Specified by:
  `getConflictKind` in interface `ComparePackage`
Returns:
  the meta object for enum 'Conflict Kind'.
See Also:
  `ConflictKind`
Generated:

#### getEIterable

    public EDataType getEIterable()

Specified by:
  `getEIterable` in interface `ComparePackage`
Returns:
  the meta object for data type 'EIterable'.
See Also:
  `Iterable`
Generated:

#### getIEqualityHelper

    public EDataType getIEqualityHelper()

Specified by:
  `getIEqualityHelper` in interface `ComparePackage`
Returns:
  the meta object for data type 'IEquality Helper'.
See Also:
  `IEqualityHelper`
Generated:

#### getDiagnostic

    public EDataType getDiagnostic()

Specified by:
  `getDiagnostic` in interface `ComparePackage`
Returns:
  the meta object for data type 'Diagnostic'.
See Also:
  `Diagnostic`
Generated:

#### getCompareFactory

    public CompareFactory getCompareFactory()

Specified by:
  `getCompareFactory` in interface `ComparePackage`
Returns:
  the factory that creates the instances of the model.
Generated:

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

Generated:

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Generated: